DeserializerFactory (Axis API)
Keywords: javax.xml.rpc.encoding.DeserializerFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.encoding
Interface DeserializerFactory

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  DeserializerFactory

All Known Implementing Classes:
  BaseDeserializerFactory

public interface DeserializerFactory
extends java.io.Serializable

The javax.xml.rpc.encoding.DeserializerFactory is a factory of deserializers. A DeserializerFactory is registered with a TypeMapping instance as part of the TypeMappingRegistry.

Version:
  1.0

Method Summary
`Deserializer` | `getDeserializerAs(java.lang.String mechanismType)` Returns a Deserializer for the specified XML processing mechanism type.
`java.util.Iterator` | `getSupportedMechanismTypes()` Returns an `Iterator` over the list of all XML processing mechanism types supported by this `DeserializerFactory`.

Method Detail

### getDeserializerAs

    public Deserializer getDeserializerAs(java.lang.String mechanismType)

  Returns a Deserializer for the specified XML processing mechanism type.

  Parameters:
    `mechanismType` - XML processing mechanism type [TBD: definition of valid constants]
  Returns:
    a Deserializer for the specified XML processing mechanism type
  Throws:
    `JAXRPCException` - if DeserializerFactory does not support the specified XML processing mechanism

### getSupportedMechanismTypes

    public java.util.Iterator getSupportedMechanismTypes()

  Returns an `Iterator` over the list of all XML processing mechanism types supported by this `DeserializerFactory`.

  Returns:
    an `Iterator` over the unique identifiers for the supported XML processing mechanism types (as `String`s?)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.